Subject: transfer problems

From: "Speier, Guy J - CNF" <[email-masked]>
Date: Wed, 17 Mar 1999 14:45:55 -0800

> Has anyone experienced the following problem, or have any input as to
> a possible solution:
> 
> ftp server is in DMZ
> 
> ftp from within firewall (pc, UNIX, & mainframe) work fine
> ftp from outside firewall (pc, UNIX) work fine
> 
> ftp from outside firewall (mainframe) barfs when there is a welcome
> message (the user can log in, but hangs after banner is displayed)
> when welcome message is removed, the user may log in, and do ls, pwd, and
> get.  When the user tries to do a put,
> a zero length file is put down (even though mainframe says transfer was
> fine).
> 
> help
> Guy
>

---

From: Gregory A Lundberg <[email-masked]>
Date: Mon, 22 Mar 1999 09:19:42 -0500 (EST)

On Wed, 17 Mar 1999, Speier, Guy J - CNF wrote:

> message (the user can log in, but hangs after banner is displayed) when
> welcome message is removed, the user may log in, and do ls, pwd, and
> get.  When the user tries to do a put, a zero length file is put down
> (even though mainframe says transfer was fine).

Did you ever get a resolution to this problem?  If not, turn on command
logging for the failing transfer, check the syslog for other messages, and
send the lot over to me; maybe I'll be able to spot something.  I'm
thinking the mainframe ftp client is getting confused somehow.

--

Gregory A Lundberg              Senior Partner, VRnet Company
1441 Elmdale Drive              [email-masked]
Kettering, OH 45409-1615 USA    1-800-809-2195